from die import Die
from tqdm import tqdm

class FiveDice:
    def __init__(self):
        self.dice = [Die() for number in range(5)]

    def roll(self):
        for die in self.dice:
            die.roll()
        return self.faces()

    def faces(self):
        return [die.face for die in self.dice]

    def all_ones(self):
        for face in self.faces():
            if face != 1:
                return False
        return True

dice = FiveDice()
successes = 0
trials = 1000000
for trial in tqdm(range(trials)):
    dice.roll()
    if dice.all_ones():
        successes += 1

print(successes/trials)
    


